#Set Duration
execute if entity @s[tag=!kazzxv.aw_atk_setup] run scoreboard players set #xv_abyss_atk_duration kazzxv.aw_atk 200
execute if entity @s[tag=!kazzxv.aw_atk_setup] run scoreboard players set #xv_abyss_atk_cd kazzxv.aw_atk 0

#Tags for Setup
tag @s[tag=!kazzxv.aw_atk_setup] add kazzxv.aw_atk_setup

#Attack
  #Levitate
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 200 run data merge entity @s {Motion:[0.0,1.0,0.0]}
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 200 run effect give @s levitation 1 2 true
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 1..180 run effect give @s levitation 2 0 true

  #Sonic Waves
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 200 run playsound minecraft:entity.warden.roar ambient @a ~ ~ ~ 5 1
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 200 run playsound minecraft:entity.warden.roar ambient @a ~ ~ ~ 5 1.3
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 200 run playsound minecraft:block.sculk_shrieker.shriek ambient @a ~ ~ ~ 5 1.1
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 1..160 if score #xv_abyss_atk_cd kazzxv.aw_atk matches 0 anchored eyes facing entity @e[type=player, sort=random, limit=1, distance=..64] feet positioned ^ ^ ^ run function kazzmon.extravanilla:mobs/custom_bosses/abyss_watcher/main/attacks/sonic_wave/start
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 1..160 if score #xv_abyss_atk_cd kazzxv.aw_atk matches 16 anchored eyes facing entity @e[type=#kazzmon.extravanilla:abyss_watcher_targets, sort=random, limit=1, distance=..64] feet positioned ^ ^ ^ run function kazzmon.extravanilla:mobs/custom_bosses/abyss_watcher/main/attacks/sonic_wave/start
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 1..160 if score #xv_abyss_atk_cd kazzxv.aw_atk matches 8 anchored eyes facing entity @e[type=#kazzmon.extravanilla:abyss_watcher_targets, sort=random, limit=1, distance=..64] feet positioned ^ ^ ^ run function kazzmon.extravanilla:mobs/custom_bosses/abyss_watcher/main/attacks/sonic_wave/start

#Tick Down Duration and Cooldown
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 1.. run scoreboard players remove #xv_abyss_atk_duration kazzxv.aw_atk 1
execute if score #xv_abyss_atk_cd kazzxv.aw_atk matches 1.. run scoreboard players remove #xv_abyss_atk_cd kazzxv.aw_atk 1

#Finished Attack
  #Set Cooldown
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run scoreboard players set @s kazzxv.aw_cd 200

  #Slow Fall
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run effect give @s slow_falling 10 0 true

  #Removes Tags
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run tag @s remove kazzxv.aw_attacking
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run tag @s remove kazzxv.aw_atk_setup
execute if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run tag @e[tag=kazzxv.aw_atk_hit] remove kazzxv.aw_atk_hit

#Run when in Stagger Rush
execute if entity @s[tag=kazzxv.aw_stagger_rush] if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run tag @s add kazzxv.aw_attacking
execute if entity @s[tag=kazzxv.aw_stagger_rush] if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run scoreboard players set @s kazzxv.aw_cd 30
execute if entity @s[tag=kazzxv.aw_stagger_rush] if score #xv_abyss_atk_duration kazzxv.aw_atk matches 0 run scoreboard players add #xv_abyss_stagger_phase kazzxv.aw_stgr 1